org.eclipse.graphiti.util

## Class ColorUtil

- java.lang.Object
- - org.eclipse.graphiti.util.ColorUtil

    public class ColorUtil
    extends Object

Utility for working with Colors.

### Constructor Summary

Constructors
Constructor and Description
`ColorUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getBlueFromHex(String hexRGBString)` Gets the corresponding int representation from hexedecimal RGB string for color blue.
`static int` `getGreenFromHex(String hexRGBString)` Gets the corresponding int representation from hexedecimal RGB string for color green.
`static int` `getRedFromHex(String hexRGBString)` Gets the corresponding int representation from hexedecimal RGB string for color red.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColorUtil

    public ColorUtil()

### Method Detail

#### getBlueFromHex

    public static int getBlueFromHex(String hexRGBString)

Gets the corresponding int representation from hexedecimal RGB string for color blue.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for blue

#### getRedFromHex

    public static int getRedFromHex(String hexRGBString)

Gets the corresponding int representation from hexedecimal RGB string for color red.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for red

#### getGreenFromHex

    public static int getGreenFromHex(String hexRGBString)

Gets the corresponding int representation from hexedecimal RGB string for color green.

Parameters:
  `hexRGBString` -
Returns:
  corresponding int value for green